4.3
CVSSv2

CVE-2019-20446

Published: 02/02/2020 Updated: 15/03/2020
CVSS v2 Base Score: 4.3 | Impact Score: 2.9 | Exploitability Score: 8.6
Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P

Vulnerability Summary

In xml.rs in GNOME librsvg prior to 2.46.2, a crafted SVG file with nested patterns can cause denial of service when passed to the library for processing. The attacker constructs pattern elements so that the number of final rendered objects grows exponentially.

Vulnerability Trend

Affected Products

Vendor Product Versions
GnomeLibrsvg0.0.1, 1.0.0, 1.0.1, 1.0.2, 1.0.3, 1.1.1, 1.1.2, 1.1.3, 1.1.4, 1.1.5, 1.1.6, 2.0.0, 2.0.1, 2.1.0, 2.1.1, 2.1.2, 2.1.3, 2.1.4, 2.1.5, 2.2.0, 2.2.1, 2.2.2, 2.2.3, 2.2.4, 2.2.5, 2.3.0, 2.3.1, 2.4.0, 2.5.0, 2.6.0, 2.6.1, 2.6.2, 2.6.3, 2.6.4, 2.6.5, 2.7.0, 2.7.1, 2.7.2, 2.8.0, 2.8.1, 2.9.5, 2.11.0, 2.11.1, 2.12.0, 2.12.1, 2.12.2, 2.12.3, 2.12.4, 2.12.5, 2.12.6, 2.12.7, 2.13.0, 2.13.1, 2.13.2, 2.13.3, 2.13.4, 2.13.5, 2.13.90, 2.13.91, 2.13.92, 2.13.93, 2.14.0, 2.14.1, 2.14.2, 2.14.3, 2.14.4, 2.15.0, 2.15.90, 2.16.0, 2.16.1, 2.18.0, 2.18.1, 2.18.2, 2.20.0, 2.22.0, 2.22.1, 2.22.2, 2.22.3, 2.26.0, 2.26.1, 2.26.2, 2.26.3, 2.31.0, 2.32.0, 2.32.1, 2.34.0, 2.34.1, 2.34.2, 2.35.0, 2.35.1, 2.35.2, 2.36.0, 2.36.1, 2.36.2, 2.36.3, 2.36.4, 2.37.0, 2.39.0, 2.40.0, 2.40.1, 2.40.2, 2.40.3, 2.40.4, 2.40.5, 2.40.6, 2.40.7, 2.40.8, 2.40.9, 2.40.10, 2.40.11, 2.40.12, 2.40.13, 2.40.14, 2.40.15, 2.40.16, 2.40.17, 2.40.18, 2.40.19, 2.40.20, 2.41.0, 2.41.1, 2.41.2, 2.42.0, 2.42.1, 2.42.2, 2.42.3, 2.42.4, 2.42.5, 2.42.6, 2.42.7, 2.43.0, 2.43.1, 2.43.2, 2.43.3, 2.43.4, 2.44.0, 2.44.1, 2.44.2, 2.44.3, 2.44.4, 2.44.5, 2.44.6, 2.44.7, 2.44.8, 2.44.9, 2.44.10, 2.44.11, 2.44.12, 2.44.13, 2.44.14, 2.44.15, 2.45.0, 2.45.1, 2.45.2, 2.45.3, 2.45.4, 2.45.5, 2.45.6, 2.45.7, 2.45.8, 2.45.90, 2.45.91, 2.45.92, 2.46.0